I am trying to complie the above version and see the below errors

# cd openssh-5.0p1
# make
if test ! -z ""; then \
/usr/bin/perl ./fixprogs ssh_prng_cmds ; \
fi
(cd openbsd-compat && make)
gcc -g -O2 -Wall -Wpointer-arith -Wuninitialized -Wsign-compare -I. -I.. -I. -I./.. -I/usr/local/ssl/include -DHAVE_CONFIG_H -c bsd-arc4random.c
In file included from ../includes.h:170,
from bsd-arc4random.c:17:
.../entropy.h:36: error: syntax error before '*' token
.../entropy.h:37: error: syntax error before '*' token
*** Error code 1
make: Fatal error: Command failed for target `bsd-arc4random.o'
Current working directory /tmp/openssh-5.0p1/openbsd-compat
*** Error code 1
make: Fatal error: Command failed for target `openbsd-compat/libopenbsd-compat.a'
#


The OS is solaris10 and openssl version installed is (openssl-0.9.8i-sol10-sparc-local).Any help would be appreciated

cheers
CG